﻿@model eCommerce.BackOffice.ViewModels.OrderReportsViewModel
@using eCommerce.Services.Model.Enums

@{
    ViewBag.Title = "Reportes";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}
<style>
    #loadingDiv {
        position: fixed;
        top: 0px;
        right: 0px;
        width: 100%;
        height: 100%;
        background-color: #666;
        background-image: url('/Content/assets/images/AjaxLoader.gif');
        background-repeat: no-repeat;
        background-position: center;
        z-index: 10000000;
        opacity: 0.4;
        filter: alpha(opacity=40); /* For IE8 and earlier */
        display: none;
    }
</style>


<div class="page-content padding-30 container-fluid">
    <div class="row">
        <div class="form-group col-md-2 col-xs-6">
            <label class="control-label">Fecha desde:</label>
            <div class="input-group">
                <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                <input type="text" class="form-control DateInput" id="fromDate" placeholder="Desde" value="@Model.FromDate" />
            </div>
        </div>
        <div class="form-group col-md-2 col-xs-6">
            <label class="control-label">Fecha hasta:</label>
            <div class="input-group">
                <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                <input type="text" class="form-control DateInput" id="toDate" placeholder="Hasta" value="@Model.ToDate" />
            </div>
        </div>

        @*<div class="form-group col-md-2 col-xs12">
            <label class="control-label">Tipo de Venta:</label>
            <select class="form-control" id="userType" data-plugin="select2">
                <option value="">Todos</option>
                <option value="@((int)UserTypeEnum.Mayorista)">@UserTypeEnum.Mayorista.ToString()</option>
                <option value="@((int)UserTypeEnum.Minorista)">@UserTypeEnum.Minorista.ToString()</option>
            </select>
        </div>*@
        <div class="col-md-2 col-xs-12 margin-bottom-15">
            <label class="control-label hidden-xs">&nbsp;</label>
            <button type="button" class="btn btn-outline btn-primary" onclick="getReports()" style="width:100%;">CONSULTAR</button>
        </div>
        <div class="col-md-2 col-xs-12 pull-right margin-bottom-15">
            <label class="control-label hidden-xs">&nbsp;</label>
            <button type="button" class="btn btn-outline btn-success col-xs-12" onclick="window.location.href = '/Reports/Excels'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i><span>REPORTES EXCELS</span>
            </button>
        </div>
        @*<div class="col-md-2 col-xs-12 pull-right margin-bottom-15">
            <label class="control-label hidden-xs">&nbsp;</label>
            <button type="button" class="btn btn-outline btn-success col-xs-12" onclick="window.location.href = '/Reports/Excels'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i><span>REPORTES EXCELS</span>
            </button>
        </div>*@

    </div>
    
    <div class="row" id="data"></div>

</div>

<div id="loadingDiv"></div>

@section scripts{
    <script type="text/javascript">
        $(document).ready(function () {
            $('.DateInput').datepicker({
                format: "dd/mm/yyyy",
                language: "es",
                autoclose: true,
                todayHighlight: true
            });
            getReports();
        });

        function getReports()
        {
            if ($('#fromDate').val() != null && $('#fromDate').val() != "" && $('#toDate').val() != null && $('#toDate').val() != "" && moment($('#toDate').val(),"DD/MM/YYYY") < moment($('#fromDate').val(),"DD/MM/YYYY"))
            {
                toastr.warning("Ingrese una fecha desde menor a fecha hasta.");
            }
            else
            {
                $("#loadingDiv").show();
                $.ajax({
                    url: "/Reports/GetReports",
                    data: { from: $('#fromDate').val(), to: $('#toDate').val(), userType: $('#userType').val()},
                    method: "GET",
                    success: function (result) {
                        $("#loadingDiv").hide();
                        if (result != "") {
                            $('#data').html(result);
                            $('#dataTableUsers').DataTable();
                            $('#dataTableProducts').DataTable();
                        }

                    },
                    error: function (request, status, error) {
                        $("#loadingDiv").hide();
                        $(".error-message h2").text("Se produjo un error al consultar los datos");
                    }
                });
            }
        }       
    </script>    
}
